Name:           stockfish
Version:        7.0.0
Release:        %mkrel 1
Summary:        A chess engine
License:        GPLv3
Group:          Games/Boards
URL:            http://www.stockfishchess.com
Source0:        stockfish.tar.xz
Source1:        stockfish-231-book.tar.xz
BuildRoot:		%{_tmppath}/%{name}-buildroot
BuildRequires:  gcc-c++

%description
Stockfish is a free UCI chess engine derived from Glaurung 2.1. It is not a
complete chess program, but requires some UCI compatible GUI (like XBoard
with PolyGlot, eboard, Arena, Sigma Chess, Shredder, Chess Partner or Fritz)
in order to be used comfortably. Read the documentation for your GUI of choice
for information about how to use Stockfish with your GUI.

%prep
%setup -q -n stockfish -a 1

%build
cd src
make help
%ifarch x86_64
make build ARCH=x86-64
%else
make build ARCH=x86-32
%endif

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}%{_datadir}/%{name}
install -m 755 src/stockfish %{buildroot}/usr/bin
install -m 644 Book.bin %{buildroot}%{_datadir}/stockfish

%files
%doc Readme.md Copying.txt AUTHORS
%{_bindir}
%{_datadir}

%changelog
* Sun Feb 14 2016 MBantz <martin dot bantz at gmail dot com> - 7.0.0
- Update to 7.0.0

* Sun Nov 15 2015 MBantz <martin dot bantz at gmail dot com> - 6.0.0-1pclinuxos2015
- Update to 6.0.0
- Skip patch, polyglot.ini is not provided anymore
 
* Wed Jul 2 2014 MBantz <martin dot bantz at gmail dot com> - 5.0.0
- Adapted to PCLinuxOS from huaren dot zhone at gmail dot com
- Update to 5.0.0
